import processing.sound.*;
SoundFile fileCymbal;
SoundFile fileKick;
SoundFile fileSnare;
SoundFile fileTom;

void setup() {
  size(60, 60);
  background(255);
    
  // Load a soundfile from the /data folder of the sketch and play it back
  fileCymbal = new SoundFile(this, "./cymbal.aif");
  fileKick = new SoundFile(this, "./kick.aif");
  fileSnare = new SoundFile(this, "./snare.aif");
  fileTom = new SoundFile(this, "./tom.aif");
}      

void draw() {
 
  for(int start = 0; start < 200; start++) {
        float r = random(0.0, 1.0);

        if(0.0 <= r && r < 0.25) // 1/4
          fileCymbal.play();
        else if(0.25 <= r && r < 0.5) // 1/4
          fileKick.play();
        else if(0.5 <= r && r < 0.75) // 1/4
          fileTom.play();
        else // 0.25 = 1/4
          fileSnare.play();
               
    delay(100);
  }
  
  noLoop();
}