void draw() {
  double amp = 0.7; // amplitude <= 1.0 
  double quantization = Math.pow(2, 8) / 2; // sighned 8 bit quantization
  double samplingRate = 44100.0; // 44.1KHz
  double duration = 4.0;
  double frequency = 440.0; // 440.0 Hz
  int numberOfSamples = (int)(samplingRate * duration);
  byte[] samples = new byte[numberOfSamples];
  
  int nThSample = 0;
  double time = 0.0;
  while (time < duration) {
    samples[nThSample++] = (byte)(amp * quantization * random(-1.0, 1.0));
    time = time + (1.0 / samplingRate);
  }
  saveBytes("noise1.raw", samples);
  noLoop();
}